Subject: Guix installer failed to install

From: Bruno Haible <[email-masked]>
Date: Sun, 20 Aug 2023 18:02:51 +0200

Hi,

My attempt to install Guix 1.4.0 in a VM failed, shortly after a message:

guix system: warning: at least 6,035.5 MB needed but only 1,079.3 MB available in /mnt

The steps that I did are below. Data was uploaded as
installer-dump-2cf3425e.

The problem is not so much that it failed, but that the warning
message does not sufficiently describe the cause:
  * I understand the figure of 6 GB: that's the expected size for
    a GUI environment with MATE.
  * But I don't understand the figure of 1 GB.
    - Is /mnt a RAM disk (the VM has 2 GB of RAM), or did the installer fail
      to mount /mnt?
    - Or is /mnt overloaded to the swap partition (which has 1 GB in my config)?
    - Or is /mnt the 10 GB partition of my disk, and the downloaded binaries
      already filled 9 GB of it?
If I knew this, I would know what to do to fix the problem: Add more RAM?
Partition differently? Use a larger main partition?

Best regards.

Bruno

========================= What I did =========================
Download: guix-system-install-1.4.0.x86_64-linux.iso

Disk size: 10 GB

Language: English.
Territory: United States.
Graphical install.
Timezone: Europe/Berlin
Keyboard: English (US)
Hostname: guix14
Root password: ********
Add user:
  User: bruno
  Full name: Bruno Haible
  Home directory: /home/bruno
  Password: ********
Desktop environment: MATE + ExWM
Enable OpenSSH daemon.
Partitioning: Guided. gpt. One partition.
  Delete partitions 2 and 3.
  Create new partitions:
    9.7 GB ext4 /
    1035 MB linux-swap